.\"	$NetBSD: ethers.5,v 1.8 2001/06/19 12:34:27 wiz Exp $
.\"
.\"     Written by Roland McGrath <roland@frob.com>.  Public domain.
.\"
.Dd November 7, 2000
.Dt ETHERS 5
.Os
.Sh NAME
.Nm ethers
.Nd Ethernet host name data base
.Sh DESCRIPTION
The
.Nm
file maps Ethernet MAC addresses to host names.
Lines consist of an address and a host name, separated by any number
of blanks and/or tab characters.
A
.Sq \&#
character indicates the beginning of a comment;
characters up to the end of
the line are not interpreted by routines which search the file.
.Pp
Each line in
.Nm
has the format:
.Dl ethernet-MAC-address hostname-or-IP
.Pp
Ethernet MAC addresses are expressed as six hexadecimal numbers separated
by colons, e.g. "08:00:20:00:5a:bc".
The functions described in
.Xr ethers 3
and
.Xr ether_aton 3
can read and produce this format.
.Pp
The traditional use of
.Nm
involved using hostnames for the second argument.
This may not be suitable for machines that don't have a common MAC
address for all interfaces (i.e., just about every non
.Tn Sun
machine).
There should be no problem in using an IP address as the second field
if you wish to differentiate between different interfaces on a system.
.Sh FILES
.Bl -tag -width /etc/ethers -compact
.It Pa /etc/ethers
The
.Nm
file resides in
.Pa /etc .
.El
.Sh SEE ALSO
.Xr ethers 3
.Sh HISTORY
The
.Nm ethers
file format was adopted from
.Tn SunOS
and appeared in
.Nx 1.0 .
.Sh BUGS
A name server should be used instead of a static file.
